
Katello - Bug #6133

katello-configure does not set proxy for pulp puppet importer

06/09/2014 10:43 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1031161 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1031161

Description of problem:

When specifying a proxy with katello-configure, it correctly sets a proxy for yum_importer.json but no proxy configuration is saved for

puppet. Thus preventing importing puppeforge when running behind a proxy.

Version-Release number of selected component (if applicable):

Satellite 6.0.2 (MDP2), but also found in in latest upstream in Katello Git repo

How reproducible:

katello-configure --proxy-url=http://some.http.proxy --proxy-port=8080

/etc/pulp/server/plugins.conf.d/puppet_importer.json does not exist and sync with puppetforge fails

Steps to Reproduce:

1. katello-configure --proxy-url=http://some.http.proxy --proxy-port=8080

2. Run puppetforge repo sync

3. After a period, nectar will timeout and sync will fail

Actual results:

Puppet repo sync failure

Expected results:

Puppet Forge modules to be synced

Related issues:

Related to Katello - Bug #5639: No installer option for pulp proxy Closed 05/08/2014

History

#1 - 06/09/2014 10:44 PM - Eric Helms

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#2 - 06/09/2014 10:44 PM - Eric Helms

- Related to Bug #5639: No installer option for pulp proxy added

#3 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/19/2014 03:34 PM - Eric Helms

- Status changed from New to Closed
#5 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
